Subject: Re: [bug#38217] [PATCH] gnu: rtmidi: Update to 4.0.0.

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 15 Nov 2019 12:00:32 +0100

Hello Pierre,

> Here's an update for the rtmidi package. I've had to fix the
> powertabeditor package to be able to find the RtMidi.h header which has
> now moved into a subdirectory. It looks like the issue is fixed upstream
> in the build system but no release have been made yet so I've added a
> TODO to remove the hack later.
>
> WDYT?

This patch LTGM! I have an error when closing powertabeditor but this
might be unrelated to this patch:

--8<---------------cut here---------------start------------->8---
Unhandled exception: Parse error at offset 18446744073709551615: The document is empty.
/gnu/store/4pj5nbb1j5s6049h6jjk580v6rp21wc3-powertabeditor-2.0.0-alpha10/bin/powertabeditor [???]
/gnu/store/4pj5nbb1j5s6049h6jjk580v6rp21wc3-powertabeditor-2.0.0-alpha10/bin/powertabeditor [???]
/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib/lib/libstdc++.so.6 [???]
/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib/lib/libstdc++.so.6 [???]
/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib/lib/libstdc++.so.6 [???]
/gnu/store/4pj5nbb1j5s6049h6jjk580v6rp21wc3-powertabeditor-2.0.0-alpha10/bin/powertabeditor [TuningDictionary::ensureLoaded]
/gnu/store/4pj5nbb1j5s6049h6jjk580v6rp21wc3-powertabeditor-2.0.0-alpha10/bin/powertabeditor [TuningDictionary::save]
/gnu/store/4pj5nbb1j5s6049h6jjk580v6rp21wc3-powertabeditor-2.0.0-alpha10/bin/powertabeditor [PowerTabEditor::closeEvent]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [QWidget::event]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [QMainWindow::event]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [QApplicationPrivate::notify_helper]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [QApplication::notify]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Core.so.5 [QCoreApplication::notifyInternal2]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [QWidgetPrivate::close_helper]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [???]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [???]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [QApplicationPrivate::notify_helper]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Widgets.so.5 [QApplication::notify]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Core.so.5 [QCoreApplication::notifyInternal2]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Gui.so.5 [QGuiApplicationPrivate::processCloseEvent]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Gui.so.5 [QGuiApplicationPrivate::processWindowSystemEvent]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Gui.so.5 [QWindowSystemInterface::sendWindowSystemEvents]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/qt5/plugins/platforms/../../../libQt5XcbQpa.so.5 [???]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Core.so.5 [QEventLoop::exec]
/gnu/store/gl2mzs7ybzzfmy2yparzhrb6k0yqhxw2-qtbase-5.11.3/lib/libQt5Core.so.5 [QCoreApplication::exec]
/gnu/store/4pj5nbb1j5s6049h6jjk580v6rp21wc3-powertabeditor-2.0.0-alpha10/bin/powertabeditor [main]
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/libc.so.6 [__libc_start_main]
/gnu/store/4pj5nbb1j5s6049h6jjk580v6rp21wc3-powertabeditor-2.0.0-alpha10/bin/powertabeditor [_start]
--8<---------------cut here---------------end--------------->8---

Mathieu